TextInputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class TextInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<LongWritable,Text>
              org.apache.hadoop.mapreduce.lib.input.TextInputFormat

    public class TextInputFormat

extends FileInputFormat<LongWritable,Text>

An `InputFormat` for plain text files. Files are broken into lines. Either linefeed or carriage-return are used to signal end of line. Keys are the position in the file, and values are the line of text..

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`FileInputFormat.Counter`

Constructor Summary
`TextInputFormat()`

Method Summary
`RecordReader<LongWritable,Text>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.
`protected boolean` | `isSplitable(JobContext context, Path file)` Is the given filename splitable? Usually, true, but if the file is stream compressed, it will not be.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextInputFormat

    public TextInputFormat()

Method Detail

### createRecordReader

    public RecordReader<LongWritable,Text> createRecordReader(InputSplit split,
                                                              TaskAttemptContext context)

  Description copied from class: `InputFormat`
  Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.

  Specified by:
    `createRecordReader` in class `InputFormat<LongWritable,Text>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader

### isSplitable

    protected boolean isSplitable(JobContext context,
                                  Path file)

  Description copied from class: `FileInputFormat`
  Is the given filename splitable? Usually, true, but if the file is stream compressed, it will not be. `FileInputFormat` implementations can override this and return `false` to ensure that individual input files are never split-up so that `Mapper`s process entire files.

  Overrides:
    `isSplitable` in class `FileInputFormat<LongWritable,Text>`
  Parameters:
    `context` - the job context
    `file` - the file name to check
  Returns:
    is this file splitable?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation